package com.ho.business.mapper;

import com.ho.business.entity.PointConfig;
import com.ho.business.vo.req.dynamicConfig.DynamicConfigQuery;
import com.ho.business.vo.req.dynamicConfig.PointConfigQuery;
import com.ho.business.vo.resp.dynamicConfig.CurveConfigResp;
import com.ho.business.vo.resp.dynamicConfig.PointConfigResp;
import com.ho.business.vo.resp.dynamicConfig.PointConfigResultResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface PointConfigMapper {

    /**
     * 批量插入
     * @param list
     * @return
     */
    int insertList(List<PointConfig> list);

    /**
     * 插入数据
     * @param config
     * @return
     */
    int insertOne(PointConfig config);

    /**
     * 批量更新数据
     * @param config
     * @return
     */
    int updateById(PointConfig config);

    /**
     * 根据条件查询配置数据
     * @param vo
     * @return
     */
    List<PointConfigResp> selectByParam(PointConfigQuery vo);

    /**
     * 根据条件查询配置数据
     * @param vo
     * @return
     */
    List<PointConfigResultResp> selectByParamNew(PointConfigQuery vo);
    /**
     * 根据id删除配置信息
     * @param ids
     * @return
     */
    int deleteByIds(@Param("ids") List<Integer> ids);

    /**
     * 批量更新(带id的插入)
     * @param list
     * @return
     */
    int updateList(List<PointConfig> list);
}
